#ifndef BREAKHANDLER_HPP_INCLUDED
#define BREAKHANDLER_HPP_INCLUDED

#include "../../Core/Types/Timer.hpp"
#include "../../Core/Types/Counter.hpp"

namespace BreakHandler
{
    Counter GetBreakCounter();
    Timer GetBreakTimer();

    bool MiniBreak(bool Logout = true);
    bool ShortBreak(bool Logout = true);
    bool LongBreak(bool Logout = true);
    bool Break(bool LogoutOnLong = true, bool LogoutOnShort = true, bool LogoutOnMini = false);
}

#endif // BREAKHANDLER_HPP_INCLUDED
